fop 2.3

## org.apache.fop.fonts
Class CFFToType1Font

    java.lang.Object
      org.apache.fop.fonts.Typeface
          org.apache.fop.fonts.CustomFont
              org.apache.fop.fonts.CIDFont
                  org.apache.fop.fonts.MultiByteFont
                      org.apache.fop.fonts.CFFToType1Font

All Implemented Interfaces:
  Positionable, Substitutable, FontDescriptor, FontMetrics, MutableFont

    public class CFFToType1Font

extends MultiByteFont

Field Summary

Fields inherited from class org.apache.fop.fonts.MultiByteFont
`boundingBoxes, cidSet`

Fields inherited from class org.apache.fop.fonts.CIDFont
`width`

Fields inherited from class org.apache.fop.fonts.CustomFont
`additionalEncodings, cmap, unencodedCharacters`

Fields inherited from class org.apache.fop.fonts.Typeface
`eventListener, NOT_FOUND`

Constructor Summary
`CFFToType1Font(InternalResourceResolver resourceResolver, EmbeddingMode embeddingMode)`

Method Summary
`java.io.InputStream` `getInputStream()` Returns an `InputStream` representing an embeddable font file.
`java.util.List<java.io.InputStream>` `getInputStreams()`

Methods inherited from class org.apache.fop.fonts.MultiByteFont

`addPrivateUseMapping, findGlyphIndex, getBoundingBox, getChars, getCIDSet, getCIDType, getCmapStream, getDefaultWidth, getEmbedFontName, getEncodingName, getGDEF, getGIDFromChar, getGlyphIndices, getGPOS, getGSUB, getOrdering, getRegistry, getSupplement, getTTCName, getUnicodeFromGID, getUnscaledWidths, getUsedGlyphNames, getUsedGlyphs, getWidth, getWidths, getWidthsMap, hasChar, hasCodePoint, hasFeature, isEmbeddable, isOTFFile, isSubsetEmbedded, mapChar, mapCodePoint, mapUsedGlyphName, performPositioning, performPositioning, performsPositioning, performsSubstitution, performSubstitution, reorderCombiningMarks, setBBoxArray, setCIDType, setDefaultWidth, setGDEF, setGPOS, setGSUB, setIsOTFFile, setTTCName, setWidthArray`

Methods inherited from class org.apache.fop.fonts.CIDFont
`isMultiByte`

Methods inherited from class org.apache.fop.fonts.CustomFont

`addUnencodedCharacter, getAdditionalEncoding, getAdditionalEncodingCount, getAscender, getAscender, getCapHeight, getCapHeight, getCMap, getDescender, getDescender, getEmbeddingMode, getEmbedFileURI, getEmbedResourceName, getFamilyNames, getFirstChar, getFlags, getFontBBox, getFontName, getFontSubName, getFontType, getFontURI, getFullName, getItalicAngle, getKerningInfo, getLastChar, getMissingWidth, getSimulateStyle, getStemV, getStrikeoutPosition, getStrikeoutThickness, getStrippedFontName, getUnderlinePosition, getUnderlineThickness, getWeight, getXHeight, hasAdditionalEncodings, hasKerningInfo, isAdvancedEnabled, isKerningEnabled, isSymbolicFont, mapUnencodedChar, putKerningEntry, replaceKerningMap, setAdvancedEnabled, setAscender, setCapHeight, setCMap, setDescender, setEmbeddingMode, setEmbedResourceName, setEmbedURI, setFamilyNames, setFirstChar, setFlags, setFontBBox, setFontName, setFontSubFamilyName, setFontType, setFontURI, setFullName, setItalicAngle, setKerningEnabled, setLastChar, setMissingWidth, setSimulateStyle, setStemV, setStrikeoutPosition, setStrikeoutThickness, setUnderlinePosition, setUnderlineThickness, setWeight, setXHeight`

Methods inherited from class org.apache.fop.fonts.Typeface
`getMaxAscent, hadMappingOperations, isCID, notifyMapOperation, setEventListener, toString, warnMissingGlyph`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.fop.fonts.FontMetrics
`getMaxAscent`

Constructor Detail

### CFFToType1Font

    public CFFToType1Font(InternalResourceResolver resourceResolver,
                          EmbeddingMode embeddingMode)

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Description copied from class: `CustomFont`
  Returns an `InputStream` representing an embeddable font file.

  Overrides:
    `getInputStream` in class `CustomFont`
  Returns:
    `InputStream` for an embeddable font file
  Throws:
    `java.io.IOException` - if embedFileName is not null but Source is not found

### getInputStreams

    public java.util.List<java.io.InputStream> getInputStreams()
                                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.